#!/bin/sh
( cd usr/lib ; rm -rf libcrypto.so )
( cd usr/lib ; ln -sf libcrypto.so.0 libcrypto.so )
( cd usr/lib ; rm -rf libssl.so )
( cd usr/lib ; ln -sf libssl.so.0 libssl.so )
( cd usr/lib ; rm -rf libcrypto.so.0 )
( cd usr/lib ; ln -sf libcrypto.so.0.9.8 libcrypto.so.0 )
( cd usr/lib ; rm -rf libssl.so.0 )
( cd usr/lib ; ln -sf libssl.so.0.9.8 libssl.so.0 )

config() {
 NEW="$1"
 OLD="`dirname $NEW`/`basename $NEW .new`"
 if [ ! -r $OLD ] ; then
  mv $NEW $OLD
  echo ""
  echo "  --> Installed new configuration file $OLD"
 elif [ "`cat $OLD 2> /dev/null | md5sum`" = "`cat $NEW 2> /dev/null | md5sum`" ] ; then
  rm -f $NEW
 else
  echo ""
  echo "  --> Installed new configuration file: $NEW"
  echo "  --> Setting ownership and permissions to match $OLD"
  cp -a $OLD $NEW.incoming
  cat $NEW > $NEW.incoming
  mv $NEW.incoming $NEW
  echo "  --> Preserving your old configuration file: $OLD"
  echo "  Please examine your existing configuration file: $OLD"
  echo "  to see if it needs to be updated from: $NEW"
  echo ""
 fi
}

config etc/cron.daily/certwatch.new
config etc/ssl/openssl.cnf.new

